import path_setting
from in_common.base_request import BaseRequest


class hybrid_get_gift_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.HYBRID_GET_GIFT_CONFIG)

    #商祥页-美券列表
    def get_gift_data(self, gift_id):
        self.params["gift_id"] = gift_id
        return self.api_send(self.data["get_gift_data"])


if __name__ == '__main__':
    #打印商祥页-优惠券列表-领取
    print(hybrid_get_gift_request().get_gift_data("63302"))